package com.qmth.themis.common.enums;

/**
 * @Description: 自定义异常消息枚举
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/10/11
 */
public enum ExceptionResultEnum {
    UNKONW_ERROR("-2", "未知错误:请联系管理员"),

    EXCEPTION_ERROR("-1", "系统异常:请联系管理员"),

    SUCCESS("0", "成功"),

    ERROR("500", "失败"),

    SQL_ERROR("502", "sql异常:"),

    INVOCATIONTARGET_ERROR("503", "反射异常:"),

    USERNAME_ILLEGALITY("100", "用户名非法"),

    PARAMS_ILLEGALITY("102", "参数不能为空"),

    TASK_ID_IS_NULL("102", "任务id不能为空"),

    TASK_TYPE_IS_NULL("102", "任务类型不能为空"),

    TASK_TYPE_ERROR("102", "任务类型不匹配"),

    EXAM_ID_IS_NULL("102", "考试批次id不能为空"),

    RECORD_ID_IS_NULL("102", "考试记录id不能为空"),

    RECORD_NO("102", "考试记录不存在"),

    EXAM_INFO_IS_NULL("102", "考试批次信息不能为空"),

    EXAM_IS_NULL("102", "考试不能为空"),

    EXAM_STUDENT_ID_IS_NULL("102", "考生id不能为空"),

    EXAM_STUDENT_INFO_IS_NULL("102", "待修改的考生信息不能为空"),

    EXAM_DETAIL_ID_IS_NULL("102", "考试详情id不能为空"),

    STUDENT_ID_IS_NULL("102", "学生id不能为空"),

    ROOMCODE_IS_NULL("102", "考场代码不能为空"),

    STUDENT_INFO_IS_NULL("102", "待修改的学生信息不能为空"),

    LOGIN_NAME_IS_NULL("102", "用户名不能为空"),

    SHORT_CODE_IS_NULL("102", "考试口令不能为空"),

    PASSWORD_IS_NULL("102", "密码不能为空"),

    VERIFYCODE_IS_NULL("102", "验证码不能为空"),

    ORG_INFO_IS_NULL("102", "机构信息不能为空"),

    ORG_ID_IS_NULL("102", "机构id不能为空"),

    USER_INFO_IS_NULL("102", "用户信息不能为空"),

    MD5_IS_NULL("102", "附件MD5不能为空"),

    ATTACHMENT_IS_NULL("102", "请上传附件"),

    ATTACHMENT_TYPE_IS_NULL("102", "请上传文件类型"),

    DOWNLOAD_FILE_TYPE_IS_NULL("102", "下载文件类型不能为空"),

    DOWNLOAD_FILE_TYPE_ERROR("102", "下载文件类型错误"),

    PASSWORD_NO("102", "密码不正确"),

    TASK_NO("102", "任务不存在"),

    USER_NO("102", "用户不存在"),

    EXAM_NO("102", "考试批次信息不存在"),

    EXAM_ACTIVITY_NO("102", "考试场次信息不存在"),

    TOKEN_NO("106", "token已过期"),

    EXCEL_IS_NULL("102", "excel没有数据"),

    NAME_IS_NULL("102", "姓名不能为空"),

    ROLE_CODE_IS_NULL("102", "角色编码不能为空"),

    USER_ID_IS_NULL("102", "userId不能为空"),

    ENABLE_IS_NULL("102", "禁用/启用状态不能为空"),

    STUDENT_IS_NULL("102", "学生信息不能为空"),

    EXAM_CODE_IS_NULL("102", "考试批次编码不能为空"),

    EXAM_NAME_IS_NULL("102", "考试批次名称不能为空"),

    ATTACHMENT_ID_IS_NULL("102", "附件id不能为空"),

    ATTACHMENT_NO("102", "附件不存在"),

    STUDENT_NO("102", "学生不存在"),

    EXAM_STUDENT_NO("102", "考生不存在"),

    LOGIN_NO("102", "请先登录"),

    SCENE_NUMBER_ID_IS_NULL("102", "场次id不能为空"),

    EXAM_SITE_IS_NULL("102", "考点不能为空"),

    EXAM_ROOM_ID_IS_NULL("102", "考场id不能为空"),

    COURSE_INFO_IS_NULL("102", "科目信息不能为空"),

    PAPER_INFO_IS_NULL("102", "试卷信息不能为空"),

    COURSE_ID_IS_NULL("102", "科目id不能为空"),

    COURSE_CODE_IS_NULL("102", "科目编码不能为空"),

    COURSE_NAME_IS_NULL("102", "科目名称不能为空"),

    PASSWORD_ILLEGALITY("101", "密码非法"),

    TOKEN_INVALID("107", "token无效"),

    DEVICE_ID_INVALID("107", "deviceId无效"),

    PLATFORM_INVALID("107", "平台无效"),

    USER_ENABLE("109", "用户已停用"),

    STUDENT_ENABLE("109", "学生已停用"),

    NOT_FOUND("404", "请求地址错误"),

    SERVICE_NOT_FOUND("500", "服务器错误"),

    ATTACHMENT_ERROR("500", "上传文件失败"),

    UN_AUTHORIZATION("401", "没有权限"),

    AUTHORIZATION_ERROR("401", "签名验证失败"),

    AUTHORIZATION_SESSION_ERROR("401", "sessionId验证失败"),
	
    REQUEST_AWAIT("500", "请求等待:请稍后重试");

    private String code;
    private String message;

    ExceptionResultEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}