package com.qmth.themis.task.start;

import com.qmth.themis.business.util.JacksonUtil;
import com.qmth.themis.task.config.DictionaryConfig;
import com.qmth.themis.task.quartz.ExamJob;
import com.qmth.themis.task.quartz.MqJob;
import com.qmth.themis.task.service.QuartzService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/3
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

    @Resource
    QuartzService quartzService;

    @Resource
    DictionaryConfig dictionaryConfig;

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");
        log.info("增加mqjob start");
        Map mqMap = new HashMap();
        mqMap.put("name", MqJob.class.getName());
        quartzService.deleteJob(dictionaryConfig.quartzConfigDomain().getMqJobName(), dictionaryConfig.quartzConfigDomain().getMqJobGroupName());
        quartzService.addJob(MqJob.class, dictionaryConfig.quartzConfigDomain().getMqJobName(), dictionaryConfig.quartzConfigDomain().getMqJobGroupName(), "0 0/1 * * * ?", mqMap);
        log.info("增加mqjob end");

        log.info("增加examjob start");
        Map examMap = new HashMap();
        examMap.put("name", ExamJob.class.getName());
        quartzService.deleteJob(dictionaryConfig.quartzConfigDomain().getExamJobName(), dictionaryConfig.quartzConfigDomain().getExamJobGroupName());
        quartzService.addJob(ExamJob.class, dictionaryConfig.quartzConfigDomain().getExamJobName(), dictionaryConfig.quartzConfigDomain().getExamJobGroupName(), "0 0 0 * * ?", examMap);
//        quartzService.addJob(ExamJob.class, dictionaryConfig.quartzConfigDomain().getExamJobName(), dictionaryConfig.quartzConfigDomain().getExamJobGroupName(), "0 26 14 27 7 ? 2020", examMap);
        log.info("增加examjob end");
        log.info("服务器启动时执行 end");
    }
}
